org.gradle.api.tasks.testing

## Interface TestOutputListener

-     public interface TestOutputListener

  Listens to the output events like printing to standard output or error

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onOutput(TestDescriptor testDescriptor, TestOutputEvent outputEvent)` Fired when during test execution anything is printed to standard output or error

- - ### Method Detail

    - #### onOutput

          void onOutput(TestDescriptor testDescriptor,
                      TestOutputEvent outputEvent)

      Fired when during test execution anything is printed to standard output or error
      Parameters:
        `testDescriptor` - describes the test
        `outputEvent` - the event that contains the output message and the destination (standard output or error, etc.)